Blackboard Learn 9.1
NAVIGATE

Training Calendar

Getting Started with Blackboard Learn 9.1

How do I access Blackboard 9.1?

Log in to Blackboard Learn 9.1 using your CWRU Network ID and password. If you have trouble accessing Blackboard, please contact the ITS Service Desk at 216.368.HELP (4357).

Web Browser Requirements

Currently, Blackboard has not released any patch or solution regarding new browser compatibility. If you have already upgraded your web browsers (i.e. Firefox 4 and IE 9), please follow the instructions below to remedy the issue. Make sure you have more than one web browser installed on your computer (Firefox, IE, or Safari). It is highly recommended that Blackboard users install one of the following web browsers as a "Blackboard Compatible" browser.

Firefox 3.6
Internet Explorer 8
Safari 5
 

If you have already upgraded ALL your web browsers, please uninstall one of the newest web browsers (such as IE 9 or Firefox 4). Then, install one of the older versions listed above. You can keep one browser up-to-date to the newest version if you have another browser available in your computer that is compatible to Blackboard Learn 9.1.4.

Blackboard 9.1 Browser Compatibility Check

Documentation

Creating a class site

Complete Guide for Instructors - click on a topic from the table of contents page to go directly to the information.

Video - Getting Started using Blackboard Learn 9.1 for Instructors 

© 2013 Case Western Reserve University
Cleveland, OH 44106
216.368.2000
 
Information Technology Services
(legal notice)
 
Contact website owner
 
Contact our service desk
CWRU ITS Social Networks
Translate this page

Share |